package com.sv.service.oms;

import com.github.pagehelper.PageHelper;
import com.sv.entity.AboutUs;
import com.sv.mapper.AboutUsMapper;
import com.ydd.framework.core.common.Pagination;
import com.ydd.framework.core.service.impl.BaseServiceImpl;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * Service - 关于我们
 *
 * @author lihong
 * @since 2018-08-15
 */
@Service("AboutUsServiceOms")
@Transactional(readOnly = true)
public class AboutUsService extends BaseServiceImpl {

	private final Logger logger = LoggerFactory.getLogger(AboutUsService.class);

	@Resource
	private AboutUsMapper aboutUsMapper;

	/**
	 * 创建关于我们
	 *
	 * @param aboutUs 关于我们
	 */
	@Transactional
    public void save(AboutUs aboutUs) {
		if (aboutUs.getId() != null && aboutUs.getId() > 0) {
			// 更新
			aboutUsMapper.update(aboutUs);
		} else {
			// 新建
			aboutUs.setPlatformId(1);
			aboutUsMapper.insert(aboutUs);
		}
	}

	/**
	 * 更新关于我们
 	 *
	 * @param aboutUs 关于我们
	 */
	@Transactional
    public void update(AboutUs aboutUs) {
		aboutUsMapper.update(aboutUs);
	}

	/**
	 * 删除关于我们
	 *
	 * @param id 编号
   	 * @return 删除数量
	 */
	@Transactional
    public Integer delete(Integer id) {
		if (id == null || id <= 0) {
			return 0;
		}
		return aboutUsMapper.delete(id);
	}

	/**
	 * 删除关于我们
	 *
	 * @param ids 编号数组
	 * @return 删除数量
	 */
	@Transactional
    public Integer deleteByIds(Integer[] ids) {
		if (ids == null || ids.length == 0) {
			return 0;
		}
		return aboutUsMapper.deleteByIds(ids);
	}

	/**
	 * 查询关于我们
	 *
	 * @param id 编号
	 * @return 关于我们
	 */
	public AboutUs findById(Integer id) {
		return aboutUsMapper.findById(id);
	}

	/**
	 * 查询关于我们
	 *
	 * @param pagination 分页信息
	 * @return 分页结果
	 */
	public Pagination findPage(Pagination pagination) {
		PageHelper.startPage(pagination.getPage(), pagination.getPageSize());
		PageHelper.orderBy("id desc");
		pagination.setQueryResult(aboutUsMapper.findAll());
		return pagination;
	}

}

